<?php

class VerticalTabSet extends FormField
{
	private $tabs = array();
	
	public function __construct()
	{
		$args = func_get_args();
		foreach($args as $tab) $this->addTab($tab);
		
	}
	
	public function FieldHolder()
	{
		$ret = "";
		foreach($this->getTabs() as $tab) $ret .= $tab->FieldHolder();
		return $ret;
	}
	
	public function addTab(VerticalTab $tab)
	{
			$this->tabs[] = $tab;
	}
	
	private function getTabs()
	{
		return $this->tabs;
	}
}


?>